Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82852 - Unable to install RH Linux 8.0 -- python exception
Summary: Unable to install RH Linux 8.0 -- python exception
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-27 18:52 UTC by Need Real Name
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-28 20:16:30 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-27 18:52:53 UTC
From Bugzilla Helper:User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/51 (like Gecko) Safari/51Description of problem:Bug in anaconda after selection any type of Partitioning Setup. Also bug afterselecting "Upgrade Existing System" (no workaround):File "/usr/lib/anaconda/gui.py", line 632, in nextClicked  self.dispatch.gotoNext()File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext  self.moveStep()File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep  rc=apply(func, self.bindArgs(args))File "/usr/lib/anaconda/partitioning.py", line 57, in partitionObjectsInitialize  partitions.setFromDisk(diskset)File "/usr/lib/anaconda/partition.py", line 184, in setFromDisk  lvm.vgscan()File "/usr/lib/anaconda/lvm.py", line 38, in vgscan  raise SystemError, "vgscan failed"SystemError: vgscan failedVersion-Release number of selected component (if applicable):How reproducible:AlwaysSteps to Reproduce:1.proceed with anaconda up to Partitioning Setup2.3.    Actual Results:  python exceptionExpected Results:  no python exceptionAdditional info:

Comment 1 Need Real Name 2003-01-27 18:55:37 UTC
Bug in anaconda after selection any type of Partitioning Setup. Also bug afterselecting "Upgrade Existing System" (no workaround):File "/usr/lib/anaconda/gui.py", line 632, in nextClicked  self.dispatch.gotoNext()File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext  self.moveStep()File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep  rc=apply(func, self.bindArgs(args))File "/usr/lib/anaconda/partitioning.py", line 57, in partitionObjectsInitialize  partitions.setFromDisk(diskset)File "/usr/lib/anaconda/partition.py", line 184, in setFromDisk  lvm.vgscan()File "/usr/lib/anaconda/lvm.py", line 38, in vgscan  raise SystemError, "vgscan failed"SystemError: vgscan failed

Comment 2 Jeremy Katz 2003-01-28 20:16:30 UTC
This is fixed in our current codebase by ignoring errors from vgscan and just
disabling lvm in those cases


Note You need to log in before you can comment on or make changes to this bug.